Configuration::ConfigurationException Class Reference

`#include <configuration.h>`

Inheritance diagram for Configuration::ConfigurationException:
Collaboration diagram for Configuration::ConfigurationException:

## Public Member Functions

| ConfigurationException (presage_error_code_t error_code, const std::string &desc) throw ()
virtual | ~ConfigurationException () throw ()
Public Member Functions inherited from PresageException
| PresageException (presage_error_code_t code, const std::string &msg) throw ()
virtual | ~PresageException () throw ()
virtual const char * | what () const throw ()
virtual const presage_error_code_t | code () const throw ()

## Private Member Functions

| ConfigurationException () throw ()

## Detailed Description

Definition at line 52 of file configuration.h.

## Constructor & Destructor Documentation

Configuration::ConfigurationException::ConfigurationException | ( | presage_error_code_t | error_code,
|  | const std::string & | desc
| ) |  |
throw | ( |
| ) |  |

inline

Definition at line 54 of file configuration.h.

virtual Configuration::ConfigurationException::~ConfigurationException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 55 of file configuration.h.

Configuration::ConfigurationException::ConfigurationException | ( |  | ) |
throw | ( |
| ) |  |

inline private

Definition at line 58 of file configuration.h.

The documentation for this class was generated from the following file:

- /build/buildd/presage-0.8.8/src/lib/core/configuration.h